IPC::Run3::ProfPP(3)

NAME
IPC::Run3::ProfPP - Generate reports from IPC::Run3 profiling data

SYNOPSIS

DESCRIPTION
Used by IPC::Run3 and/or run3profpp to print out profiling reports for human readers. Use other classes for extracting data in other ways.

The output methods are plain text, override these (see the source for now) to provide other formats.

This class generates reports on each run3_exit() and app_exit() call.

METHODS

  "IPC::Run3::ProfPP->new()"
Returns a new profile reporting object.

  "$profpp->handle_app_call()"

  "$profpp->handle_app_exit()"

  "$profpp->handle_run_exit()"

LIMITATIONS

COPYRIGHT
    Copyright 2003, R. Barrie Slaymaker, Jr., All Rights Reserved

LICENSE
You may use this module under the terms of the BSD, Artistic, or GPL licenses, any version.

AUTHOR
Barrie Slaymaker <barries@slaysys.com>